java.lang.Exception

Could not start bundle mvn:com.xxx/xxxapi in feature(s) xxx-0.0.0: Unresolved constraint in bundle com.xxx.xxx-api [406]: Unable to resolve 406.0: missing requirement [406.0] osgi.wiring.package; (osgi.wiring.package=org.jboss.resteasy.plugins.providers.multipart)

Samebug tips0

There are no available Samebug tips for this exception. If you know how to solve this issue, help other users by writing a short tip.

Don't give up yet. Paste your full stack trace to get a solution.

Solutions on the web4730

  • Could not start bundle mvn:com.xxx/xxxapi in feature(s) xxx-0.0.0: Unresolved constraint in bundle com.xxx.xxx-api [406]: Unable to resolve 406.0: missing requirement [406.0] osgi.wiring.package; (osgi.wiring.package=org.jboss.resteasy.plugins.providers.multipart)
  • via sling-users by nino martinez wael, 9 months ago
    Could not start bundle mvn:org.apache.sling/org.apache.sling.commons.scheduler/2.4.6 in feature(s) test-dependencies-0.0.0: Unresolved constraint in bundle org.apache.sling.commons.scheduler [100]: Unable to resolve 100.0: missing requirement [100.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.commons.threads)(version>=3.0.0)(!(version>=4.0.0)))
  • via sling-users by Roll, Kevin, 9 months ago
    Could not start bundle mvn:org.apache.sling/org.apache.sling.commons.scheduler/2.4.6 in feature(s) test-dependencies-0.0.0: Unresolved constraint in bundle org.apache.sling.commons.scheduler [100]: Unable to resolve 100.0: missing requirement [100.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.commons.threads)(version>=3.0.0)(!(version>=4.0.0)))
  • Stack trace

    • java.lang.Exception: Could not start bundle mvn:com.xxx/xxxapi in feature(s) xxx-0.0.0: Unresolved constraint in bundle com.xxx.xxx-api [406]: Unable to resolve 406.0: missing requirement [406.0] osgi.wiring.package; (osgi.wiring.package=org.jboss.resteasy.plugins.providers.multipart) at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:482)[49:org.apache.karaf.features.core:2.3.1] at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:396)[49:org.apache.karaf.features.core:2.3.1] at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:392)[49:org.apache.karaf.features.core:2.3.1] at org.apache.karaf.features.command.InstallFeatureCommand.doExecute(InstallFeatureCommand.java:62)[34:org.apache.karaf.features.command:2.3.1] at org.apache.karaf.features.command.FeaturesCommandSupport.doExecute(FeaturesCommandSupport.java:41)[34:org.apache.karaf.features.command:2.3.1] at org.apache.karaf.shell.console.OsgiCommandSupport.execute(OsgiCommandSupport.java:38)[23:org.apache.karaf.shell.console:2.3.1] at org.apache.felix.gogo.commands.basic.AbstractCommand.execute(AbstractCommand.java:35)[23:org.apache.karaf.shell.console:2.3.1] at org.apache.felix.gogo.runtime.CommandProxy.execute(CommandProxy.java:78)[23:org.apache.karaf.shell.console:2.3.1] at org.apache.felix.gogo.runtime.Closure.executeCmd(Closure.java:474)[23:org.apache.karaf.shell.console:2.3.1] at org.apache.felix.gogo.runtime.Closure.executeStatement(Closure.java:400)[23:org.apache.karaf.shell.console:2.3.1] at org.apache.felix.gogo.runtime.Pipe.run(Pipe.java:108)[23:org.apache.karaf.shell.console:2.3.1] at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:183)[23:org.apache.karaf.shell.console:2.3.1] at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:120)[23:org.apache.karaf.shell.console:2.3.1] at org.apache.felix.gogo.runtime.CommandSessionImpl.execute(CommandSessionImpl.java:89)[23:org.apache.karaf.shell.console:2.3.1] at org.apache.karaf.shell.console.jline.Console.run(Console.java:174)[23:org.apache.karaf.shell.console:2.3.1] at java.lang.Thread.run(Thread.java:745)[:1.7.0_80] Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.xxx-api [406]: Unable to resolve 406.0: missing requirement [406.0] osgi.wiring.package; (osgi.wiring.package=org.jboss.resteasy.plugins.providers.multipart) at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3826)[org.apache.felix.framework-4.0.3.jar:] at org.apache.felix.framework.Felix.startBundle(Felix.java:1868)[org.apache.felix.framework-4.0.3.jar:] at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:944)[org.apache.felix.framework-4.0.3.jar:] at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:931)[org.apache.felix.framework-4.0.3.jar:] at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:479)[49:org.apache.karaf.features.core:2.3.1] ... 15 more

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    Unknown user
    Once, 10 months ago
    28 times, 8 months ago
    Unknown user
    Once, 11 months ago
    Unknown user
    Once, 1 year ago
    Unknown user
    Once, 1 year ago
    16 more bugmates